> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer contact

```jsonc Body raw (json) wrap expandable theme={null}
{
  "first_name": "some string",// optional | string | max:255
  "last_name": "some string",// optional | string | max:255
  "email": "some@mail.com",// optional | string | email | max:1000
  "notes": "some string",// optional | string | max:1000
  "phone": "+12345678",// optional | string | max:255 | description: should be valid phone number
  "order": 1// optional | integer | description: the order of the contact
}
```


## OpenAPI

````yaml post /customers/{customerId}/customer-contact
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /customers/{customerId}/customer-contact:
    post:
      tags:
        - Customers
      summary: Create a customer contact
      operationId: postCustomersByCustomerIdCustomerContact
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  maxLength: 255
                last_name:
                  type: string
                  maxLength: 255
                email:
                  type: string
                  format: email
                  maxLength: 1000
                notes:
                  type: string
                  maxLength: 1000
                phone:
                  type: string
                  maxLength: 255
                  description: Should be valid phone number.
                order:
                  type: integer
                  description: The order of the contact.
            example:
              first_name: some string
              last_name: some string
              email: some@mail.com
              notes: some string
              phone: '+12345678'
              order: 1
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: boolean
                    description: false when the request succeeds.
                    example: false
                  response:
                    type: object
                    description: The created record.
        '400':
          description: Bad Request
          content:
            application/json:
              example:
                error: true
                errors:
                  - error message
                  - error message
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                message: Unauthorized
        '404':
          description: Not Found
          content:
            application/json:
              example:
                message: Request URL not found
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                message: Internal Server Error
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````

## Related topics

- [How to Manage Multi-Location & Multi-Contact Customers](/customers/managing-customers/multi-location-multi-contact.md)
- [How to Create a Customer](/customers/managing-customers/creating-a-customer.md)
- [How to Create Related Customers](/customers/managing-customers/creating-related-customers.md)
- [How to Import Customers](/settings/data/importing-customers.md)
- [Setting Up the Booking Portal](/jobs/booking-portal/booking-portal-setup.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.